"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const core_1 = require("@salesforce/core");
const util = require("util");
const child = require("child_process");
// Initialize Messages with the current plugin directory
core_1.Messages.importMessagesDirectory(__dirname);
class Import extends command_1.SfdxCommand {
    async run() {
        const exec = util.promisify(child.exec);
        this.ux.startSpinner(`Setting default username to ${this.flags.targetuser}`);
        await exec(`sfdx config:set defaultusername=${this.flags.targetuser}`);
        this.ux.stopSpinner();
        this.ux.startSpinner(`Getting flows`);
        const execDeploy = this.flags.filenames ? `sfdx force:source:deploy -m "${this.flags.filenames.split(',').map(x => "Flow : " + x)}" ` : 'sfdx force:source:deploy -m Flow';
        await exec(execDeploy);
        this.ux.stopSpinner();
        return true;
    }
}
Import.description = 'Import flows to org';
Import.args = [{ name: 'file' }];
Import.requiresUsername = false;
// Comment this out if your command does not support a hub org username
Import.supportsDevhubUsername = false;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
Import.requiresProject = true;
Import.flagsConfig = {
    targetuser: command_1.flags.string({ char: 't', description: 'Objets Names to be retrieved', required: true }),
    filenames: command_1.flags.string({ char: 'f', description: 'Files names to be retrieved', required: false })
};
exports.default = Import;
//# sourceMappingURL=import.js.map