"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const core_1 = require("@salesforce/core");
// Initialize Messages with the current plugin directory
core_1.Messages.importMessagesDirectory(__dirname);
let conn;
class create extends command_1.SfdxCommand {
    async run() {
        conn = await this.org.getConnection();
        if (this.flags.test && this.flags.prod) {
            throw new core_1.SfdxError('Veuillez choisir seulement un paramètre (soit -t pour le callout de test soit -p pour le callout de production)');
        }
        else if (this.flags.test || this.flags.prod) {
            const endpoint = this.flags.test ? 'https://exadoc-test.gonexa.fr/' : 'https://exadoc.gonexa.fr';
            this.ux.startSpinner("Création du callout Gonexa Doc");
            let namedCredentials = new Array();
            namedCredentials.push({ fullName: 'Gonexa_Doc',
                label: 'Gonexa_Doc',
                endpoint: endpoint,
                generateAuthorizationHeader: false,
                allowMergeFieldsInBody: false,
                allowMergeFieldsInHeader: true,
                principalType: 'Anonymous',
                protocol: 'NoAuthentication'
            });
            await conn.metadata.create('NamedCredential', namedCredentials)
                .then(result => {
                let untypeResult = result;
                if (untypeResult.success) {
                    this.ux.stopSpinner("Callout Gonexa Doc inséré");
                }
                else {
                    throw new core_1.SfdxError(untypeResult.errors.message);
                }
            });
        }
        else {
            throw new core_1.SfdxError('Veuillez choisir un paramètre , soit -t pour le callout de test soit -p pour le callout de production');
        }
        return true;
    }
}
create.description = 'Create a named credential for an url';
create.requiresUsername = true;
// Comment this out if your command does not support a hub org username
create.supportsDevhubUsername = true;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
create.requiresProject = true;
create.flagsConfig = {
    // flag with a value (-n, --name=VALUE)
    test: command_1.flags.boolean({ char: 't', description: 'Pour voir si c\'est le callout de test ou pas' }),
    prod: command_1.flags.boolean({ char: 'p', description: 'Pour voir si c\'est le callout de prod ou pas' })
};
exports.default = create;
//# sourceMappingURL=create.js.map