"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const core_1 = require("@salesforce/core");
const fs = require("fs");
const util = require("../../../../scripts/utility");
// Initialize Messages with the current plugin directory
core_1.Messages.importMessagesDirectory(__dirname);
class classes extends command_1.SfdxCommand {
    async run() {
        const conn = this.org.getConnection();
        let query = (this.flags.all) ? "Select Name from ApexClass" : "Select Name from ApexClass where Name Like \'%" + this.flags.name + "%\'";
        const result = await conn.query(query);
        if (!result.records || result.records.length <= 0) {
            this.ux.log("No data found");
        }
        else {
            fs.access('manifest', fs.constants.F_OK, (err) => {
                if (err) {
                    this.ux.log('Dossier manifeste créé car il n\'existait pas.');
                    fs.mkdir('manifest', (err) => {
                        if (!err)
                            util.createFile('ApexClass', 'Classes.xml', result, this.ux);
                    });
                }
                else {
                    util.createFile('ApexClass', 'Classes.xml', result, this.ux);
                }
            });
            return true;
        }
        return false;
    }
}
classes.description = 'Create an xml file with all the classes whose name contains the name set in parameter';
classes.args = [{ name: 'file' }];
classes.requiresUsername = true;
// Comment this out if your command does not support a hub org username
classes.supportsDevhubUsername = true;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
classes.requiresProject = true;
classes.flagsConfig = {
    // flag with a value (-n, --name=VALUE)
    name: command_1.flags.string({ char: 'n', description: 'Classes name to be retrieved' }),
    all: command_1.flags.boolean({ description: 'Retrieve all classes' }),
    help: command_1.flags.help({})
};
exports.default = classes;
//# sourceMappingURL=classes.js.map