"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const core_1 = require("@salesforce/core");
const fs = require("fs");
const util = require("../../../../scripts/utility");
// Initialize Messages with the current plugin directory
core_1.Messages.importMessagesDirectory(__dirname);
// Load the specific messages for this file. Messages from @salesforce/command, @salesforce/core,
// or any library that is using the messages framework can also be loaded this way.
class components extends command_1.SfdxCommand {
    async run() {
        const conn = this.org.getConnection();
        let query = (this.flags.all) ? "Select DeveloperName from AuraDefinitionBundle" : "Select DeveloperName from AuraDefinitionBundle where DeveloperName Like \'%" + this.flags.name + "%\'";
        const result = await conn.query(query);
        if (!result.records || result.records.length <= 0) {
            this.ux.log("No data found");
        }
        else {
            fs.access('manifest', fs.constants.F_OK, (err) => {
                if (err) {
                    this.ux.log('Dossier manifeste créé car il n\'existait pas.');
                    fs.mkdir('manifest', (err) => {
                        if (!err)
                            util.createFile('AuraDefinitionBundle', 'Composants.xml', result, this.ux);
                    });
                }
                else {
                    util.createFile('AuraDefinitionBundle', 'Composants.xml', result, this.ux);
                }
            });
            return true;
        }
        return false;
    }
}
components.description = 'Create an xml file with all the aura components whose name contains the name set in parameter';
components.args = [{ name: 'file' }];
components.requiresUsername = true;
// Comment this out if your command does not support a hub org username
components.supportsDevhubUsername = true;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
components.requiresProject = true;
components.flagsConfig = {
    // flag with a value (-n, --name=VALUE)
    name: command_1.flags.string({ char: 'n', description: 'Components name to be retrieved' }),
    all: command_1.flags.boolean({ description: 'Retrieve all components' }),
    help: command_1.flags.help({})
};
exports.default = components;
//# sourceMappingURL=components.js.map