"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const core_1 = require("@salesforce/core");
const child = require("child_process");
const util = require("util");
// Initialize Messages with the current plugin directory
core_1.Messages.importMessagesDirectory(__dirname);
class create extends command_1.SfdxCommand {
    async run() {
        console.log('Creating scratch org in progress...');
        const exec = util.promisify(child.exec);
        const resultCreate = await exec('sfdx force:org:create -a TestScratchPlugin -s -f config/project-scratch-def.json -d 29');
        if (resultCreate.stderr != '' && resultCreate.stderr != undefined) {
            console.log('Successfully created scratch org');
            console.log('');
            console.log('Pushing sources in progress...');
            const resultPush = await exec('sfdx force:source:push');
            console.log(resultPush.stdout);
            console.log('Running tests...');
            const resultRunTests = await exec('sfdx force:apex:test:run -l RunLocalTests -c -r human');
            console.log(resultRunTests.stdout);
            await exec('sfdx force:org:delete -p');
        }
        else {
            console.log(resultCreate.stderr);
        }
        return true;
    }
}
create.description = 'Check if we can create a scratch org successfully with our sources (test execution too)';
create.args = [{ name: 'file' }];
create.requiresUsername = true;
// Comment this out if your command does not support a hub org username
create.supportsDevhubUsername = true;
// Set this to true if your command requires a project workspace; 'requiresProject' is false by default
create.requiresProject = true;
exports.default = create;
//# sourceMappingURL=check.js.map