"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util = require("./utility");
const fs = require("fs");
const path = require("path");
async function getXmlQuery(query, conn, type) {
    const result = await conn.query(query);
    if (!result.records || result.records.length <= 0) {
        return null;
    }
    else {
        return await util.createXmlType(result.records, type);
    }
}
exports.getXmlQuery = getXmlQuery;
async function getComponentsSource(path_component, type) {
    let xml = '\t<types>';
    let haveData = false;
    const results = await fs.readdirSync(path_component);
    for (let result of results) {
        const path_file = path.join(path_component, result);
        let stat = await fs.statSync(path_file);
        if (stat.isDirectory()) {
            haveData = true;
            xml = xml + '\n \t \t<members>' + result + '</members>';
        }
    }
    xml = xml + '\n \t \t<name>' + type + '</name>';
    xml = xml + '\n \t </types>';
    if (haveData) {
        return xml;
    }
    else {
        return null;
    }
}
exports.getComponentsSource = getComponentsSource;
async function getClassesSource(path_classes, type) {
    let xml = '\t<types>';
    let haveData = false;
    const results = await walkSync(path_classes, []);
    for (let result of results) {
        if (!result.includes('meta.xml')) {
            haveData = true;
            xml = xml + '\n \t \t<members>' + result.split('.')[0] + '</members>';
        }
    }
    xml = xml + '\n \t \t<name>' + type + '</name>';
    xml = xml + '\n \t </types>';
    if (haveData) {
        return xml;
    }
    else {
        return null;
    }
}
exports.getClassesSource = getClassesSource;
function walkSync(dir, filelist) {
    var files = fs.readdirSync(dir);
    filelist = filelist || [];
    files.forEach(function (file) {
        if (fs.statSync(dir + '/' + file).isDirectory()) {
            filelist = walkSync(dir + '/' + file, filelist);
        }
        else {
            filelist.push(file);
        }
    });
    return filelist;
}
;
//# sourceMappingURL=connexion.js.map