"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
async function createXmlType(records, type) {
    let xml = '\t<types>';
    for (let record of records) {
        if (type == "AuraDefinitionBundle") {
            xml = xml + '\n \t \t<members>' + record.DeveloperName + '</members>';
        }
        else {
            xml = xml + '\n \t \t<members>' + record.Name + '</members>';
        }
    }
    xml = xml + '\n \t \t<name>' + type + '</name>';
    xml = xml + '\n \t </types>';
    return xml;
}
exports.createXmlType = createXmlType;
async function createFile(type, file, data, output) {
    var xml = '<?xml version="1.0" encoding="UTF-8" standalone="yes"?> \n <Package xmlns="http://soap.sforce.com/2006/04/metadata"> \n \t <types>';
    for (var i in data.records) {
        if (type == "AuraDefinitionBundle") {
            xml = xml + '\n \t \t<members>' + data.records[i].DeveloperName + '</members>';
        }
        else {
            xml = xml + '\n \t \t<members>' + data.records[i].Name + '</members>';
        }
    }
    xml = xml + '\n \t \t<name>' + type + '</name> \n \t</types>\n<version>48.0</version>\n</Package>';
    fs.writeFileSync('manifest/' + file, xml);
}
exports.createFile = createFile;
async function promisesParser(string) {
    var xml2jsParser = require('xml2js').parseString;
    return new Promise(function (resolve, reject) {
        xml2jsParser(string, function (err, result) {
            if (err) {
                reject(err);
            }
            else {
                resolve(result);
            }
        });
    });
}
exports.promisesParser = promisesParser;
function recFindByExt(base, ext, files = fs.readdirSync(base), result = []) {
    files = files || fs.readdirSync(base);
    result = result || [];
    files.forEach(function (file) {
        var newbase = path.join(base, file);
        if (fs.statSync(newbase).isDirectory()) {
            result = recFindByExt(newbase, ext, fs.readdirSync(newbase), result);
        }
        else {
            if (file.substr(-1 * (ext.length + 1)) == '.' + ext) {
                result.push(newbase);
            }
        }
    });
    return result;
}
exports.recFindByExt = recFindByExt;
//# sourceMappingURL=utility.js.map